Get Commit Details
curl --request GET \
--url https://api.yertle.com/orgs/{org_id}/nodes/{node_id}/tree/{branch}/commits/{commit_id}import requests
url = "https://api.yertle.com/orgs/{org_id}/nodes/{node_id}/tree/{branch}/commits/{commit_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.yertle.com/orgs/{org_id}/nodes/{node_id}/tree/{branch}/commits/{commit_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"node_id": "<string>",
"message": "<string>",
"author": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"author_email": "<string>",
"parent_commits": [
"<string>"
],
"changes": {
"target_commit_id": "<string>",
"added": [
{
"entity_type": "<string>",
"entity_id": "<string>",
"entity_key": "<string>",
"object_id": "<string>",
"old_object_id": "<string>",
"new_object_id": "<string>"
}
],
"removed": [
{
"entity_type": "<string>",
"entity_id": "<string>",
"entity_key": "<string>",
"object_id": "<string>",
"old_object_id": "<string>",
"new_object_id": "<string>"
}
],
"modified": [
{
"entity_type": "<string>",
"entity_id": "<string>",
"entity_key": "<string>",
"object_id": "<string>",
"old_object_id": "<string>",
"new_object_id": "<string>"
}
],
"node_id": "<string>",
"base_commit_id": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Node History
Get Commit Details
Get detailed information about a specific commit including changes.
Similar to 'git show <commit>' - returns commit metadata plus the
changes introduced by this commit compared to its parent.
GET
/
orgs
/
{org_id}
/
nodes
/
{node_id}
/
tree
/
{branch}
/
commits
/
{commit_id}
Get Commit Details
Headers
Path Parameters
Response
Successful Response
Response model for detailed commit information with changes.
Commit ID
Node ID
Commit message
Commit author
Commit timestamp
Author email address
Parent commit IDs
Changes from parent commit
Show child attributes
Show child attributes
⌘I